Repository 32bit  Forum
Repository 64bit  Wiki

Progetto Kernelpkg Tool

Postate qui se avete consigli per migliorare i pacchetti disponibili in questo sito o se avete problemi con installazione, funzionamento o altro.

Moderatore: Staff

Regole del forum
1) Citare in modo preciso il nome del pacchetto.
2) Specificare se discussione/suggerimento o richiesta d'aiuto.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

Messaggioda harakei » sab giu 02, 2007 9:18

aggiornato kernelpkg, creato nuovo kernel (la versione più aggiornata con git), installato con pacchetti headers e source; tutto bene, ho compilato i driver NVIDIA senza fare ulteriori ritocchi. Risultato:OTTIMO. Grazie ancora per questa nuova release :D
Avatar utente
harakei
Packager
Packager
 
Messaggi: 118
Iscritto il: lun dic 19, 2005 15:57
Località: Taranto
Slackware: 13-current
Kernel: 2.6.32.7-ck2
Desktop: kde

Messaggioda submax82 » sab giu 02, 2007 9:30

benissimo ;) grazie del test e resoconto ;)

segnalato bug in kernel-source current a Pat...
Avatar utente
submax82
Staff
Staff
 
Messaggi: 3202
Iscritto il: mar ago 30, 2005 23:00
Desktop: xfce
Distribuzione: SalixOS

Messaggioda Bart » sab giu 02, 2007 16:00

Io vorrei spendere una parola per submax82 che ultimamente sta lavorando assiduamente a due ottimi progetti: kernelpkg e l'installer del progetto gnome-slacky. E' bello vedere persone che si dedicano così attivamente a dei progetti per la comunità. Bravo e grazie!!! ;)
Bart
Staff
Staff
 
Messaggi: 4248
Iscritto il: dom ago 08, 2004 23:00
Località: Rimini

Messaggioda submax82 » sab giu 02, 2007 16:19

grazie mille ragazzi mi fate arrossire :oops: :lol:

;)
Avatar utente
submax82
Staff
Staff
 
Messaggi: 3202
Iscritto il: mar ago 30, 2005 23:00
Desktop: xfce
Distribuzione: SalixOS

Messaggioda stan » sab giu 02, 2007 16:59

Quoto Bart!
Grande submax! :hello1:
Avatar utente
stan
Linux 2.6
Linux 2.6
 
Messaggi: 524
Iscritto il: lun dic 25, 2006 11:55
Località: Bs
Slackware: 12.1
Kernel: 2.6.xx
Desktop: Kde3

Messaggioda submax82 » sab giu 02, 2007 18:25

grazie ragazzi ... ma la vostra comunità e slackware mi hanno fatto imparare molte cose... quindi cerco di dare un contribuito anche io... nel limite delle mie possibilità e capacità ;)
Avatar utente
submax82
Staff
Staff
 
Messaggi: 3202
Iscritto il: mar ago 30, 2005 23:00
Desktop: xfce
Distribuzione: SalixOS

Messaggioda danix » sab giu 02, 2007 19:56

Ciao submax, ti faccio i miei complimenti prima come utente slackware e come utente di slacky.eu per tutto quello che fai, e ti faccio i miei complimenti anche come utilizzatore del tuo tool (non appena finirò la configurazione del 2.6.21.3...)
In ogni caso questo post non è solo per farti i complimenti ma per dirti che ho letto tutto il man di kernelpkg 0.6.0 e ho trovato dei piccoli errori di inglese, se vuoi appena ho un attimo gli do un occhiata e vedo di correggere il tutto, anche se mi verrebbe più comodo farlo se tu potessi darmi un file di testo da leggere piuttosto che usare la pagina del man visualizzata in shell....
Se ti interessa ti posso dare una mano, così almeno mi rendo utile in qualche modo per questo progetto che è davvero lodevole...
Aspetto tue notizie, a presto e ancora complimenti...
Avatar utente
danix
Staff
Staff
 
Messaggi: 3280
Iscritto il: ven ott 27, 2006 18:32
Località: Siderno (RC)
Nome Cognome: Danilo M.
Slackware: 64 14.0
Kernel: 3.2.29
Desktop: fluxbox

Messaggioda submax82 » dom giu 03, 2007 0:42

ok il mio inglese fà ridere lo sò...

il file man è un file di testo... guarda nei sorgenti...

mandami la versione con gli errori corretti via mail... meglio se gli evidenzi...
Avatar utente
submax82
Staff
Staff
 
Messaggi: 3202
Iscritto il: mar ago 30, 2005 23:00
Desktop: xfce
Distribuzione: SalixOS

Messaggioda danix » dom giu 03, 2007 0:50

submax82 ha scritto:ok il mio inglese fà ridere lo sò...

Ma no, anzi... si tratta solo di un paio di errori di sintassi, ma siccome il tool è davvero valido e sono sicuro che verrà preso in considerazione "da chi di dovere" (leggi PJV) è meglio che ci si presenti bene... in ogni caso adesso do un'occhiata al pacchetto e tiro fuori il man...
ti commento quello che correggo in stile bash
Codice: Seleziona tutto
# testo del commento

va bene??
Ah, quasi dimenticavo, la mail è quella che trovo sul tuo sito??
Avatar utente
danix
Staff
Staff
 
Messaggi: 3280
Iscritto il: ven ott 27, 2006 18:32
Località: Siderno (RC)
Nome Cognome: Danilo M.
Slackware: 64 14.0
Kernel: 3.2.29
Desktop: fluxbox

Messaggioda submax82 » dom giu 03, 2007 0:55

ok... ;) basta si notino

la mail è nel man
Avatar utente
submax82
Staff
Staff
 
Messaggi: 3202
Iscritto il: mar ago 30, 2005 23:00
Desktop: xfce
Distribuzione: SalixOS

Messaggioda danix » dom giu 03, 2007 1:33

giusto per chiarezza e per non scrivere cose che non volevi dire, mi diresti in italiano questa frase così come l'avevi pensata?

kernelpkg has few options because "Keep It Simple, Stupid"

mi sa che sono stupido io, ma non la capisco bene...
ah, "has" l'ho messo io al posto di "have"...
Avatar utente
danix
Staff
Staff
 
Messaggi: 3280
Iscritto il: ven ott 27, 2006 18:32
Località: Siderno (RC)
Nome Cognome: Danilo M.
Slackware: 64 14.0
Kernel: 3.2.29
Desktop: fluxbox

Messaggioda submax82 » dom giu 03, 2007 1:56

kernelpkg ha poche opzioni perchè KISS (cioè http://it.wikipedia.org/wiki/KISS_%28informatica%29 )
Avatar utente
submax82
Staff
Staff
 
Messaggi: 3202
Iscritto il: mar ago 30, 2005 23:00
Desktop: xfce
Distribuzione: SalixOS

Messaggioda submax82 » dom giu 03, 2007 15:29

ragazzi Pat mi ha risposto riguardo al fix non presente nel kernel-source della curret!!!!

Massimo wrote:
> The old nvidia installer 1.0-9631 (last for not recent cards) not compile with kernel linux version 2.6.19 or up.

Hmmm, I was under the impression that the nVidia driver would always be an all-in-one solution. I guess that's the danger of trusting the promises made by vendors of hardware plus proprietary software...

> The installer required file "config.h" that is deprecated!
> The FIX is run this command in source tree linux:
>
> cp include/linux/autoconf.h include/linux/config.h

I think you should take this up with nVidia. I've known about the removal of config.h for some time (which is why -current stayed with 2.6.18.x for so long), but this is not a bug (perhaps a lack of foresight), nor can it be "fixed" here. Who knows what kind of actual bugs would be caused by adding in unofficial symlink like that...

BTW, I didn't agree with the removal of linux/config.h myself, given its long history in the kernel removing it was certain to cause problems. Mostly for unmaintained software, though...

Take care,

Pat


non ridete del mio inglese :lol: ero indeciso a postare per quello :oops:

che bello incredibile pat mi risponde.... sono veramente onorato... grazie pat grazie slacky!!! :occasion9: :occasion6: :occasion5: :occasion7: :occasion1:

io la stampo e la incornicio :notworthy:

se qualcuno vuole tradurre .... ;) così possono capire tutti ;)

ora ho chiesto un parere su kernelpkg ... speriamo risponda :happy2:
Avatar utente
submax82
Staff
Staff
 
Messaggi: 3202
Iscritto il: mar ago 30, 2005 23:00
Desktop: xfce
Distribuzione: SalixOS

Messaggioda danix » dom giu 03, 2007 15:43

Tradotta...

Hmmm, pensavo che i driver nVidia sarebbero rimasti sempre una soluzione "all in one". Probabilmente questo è il rischio nel credere alle promesse dei produttori di hardware + software proprietario...

[...]

Credo che dovresti prendertela (leggi parlarne) con la nVidia. Ero a conoscenza della rimozione del file config.h (questo è il motivo per cui -current è rimasta tanto a lungo con il 2.6.18 ), ma non si tratta di un bug (forse una mancanza di lungimiranza), in ogni caso non può essere "aggiustato" qui. Chissà quali veri bug potresti causare aggiungendo dei link simbolici non ufficiali come quello che hai proposto...

Comunque io personalmente non sono d'accordo con la rimozione del linux/config.h, data la sua lunga storia nel kernel, rimuoverlo porterà certamente dei problemi. Sopratutto nel caso di software non mantenuto, comunque...

Saluti

Pat
Avatar utente
danix
Staff
Staff
 
Messaggi: 3280
Iscritto il: ven ott 27, 2006 18:32
Località: Siderno (RC)
Nome Cognome: Danilo M.
Slackware: 64 14.0
Kernel: 3.2.29
Desktop: fluxbox

Messaggioda gohanz » dom giu 03, 2007 18:20

submax82 ha scritto:ragazzi Pat mi ha risposto riguardo al fix non presente nel kernel-source della curret!!!!

Massimo wrote:
> The old nvidia installer 1.0-9631 (last for not recent cards) not compile with kernel linux version 2.6.19 or up.

Hmmm, I was under the impression that the nVidia driver would always be an all-in-one solution. I guess that's the danger of trusting the promises made by vendors of hardware plus proprietary software...

> The installer required file "config.h" that is deprecated!
> The FIX is run this command in source tree linux:
>
> cp include/linux/autoconf.h include/linux/config.h

I think you should take this up with nVidia. I've known about the removal of config.h for some time (which is why -current stayed with 2.6.18.x for so long), but this is not a bug (perhaps a lack of foresight), nor can it be "fixed" here. Who knows what kind of actual bugs would be caused by adding in unofficial symlink like that...

BTW, I didn't agree with the removal of linux/config.h myself, given its long history in the kernel removing it was certain to cause problems. Mostly for unmaintained software, though...

Take care,

Pat


non ridete del mio inglese :lol: ero indeciso a postare per quello :oops:

che bello incredibile pat mi risponde.... sono veramente onorato... grazie pat grazie slacky!!! :occasion9: :occasion6: :occasion5: :occasion7: :occasion1:

io la stampo e la incornicio :notworthy:

se qualcuno vuole tradurre .... ;) così possono capire tutti ;)

ora ho chiesto un parere su kernelpkg ... speriamo risponda :happy2:



Grande Submax!!! :p
Avatar utente
gohanz
Staff
Staff
 
Messaggi: 5832
Iscritto il: mar nov 30, 2004 0:00

PrecedenteProssimo

Torna a Packages

Chi c’è in linea

Visitano il forum: Google [Bot] e 2 ospiti